#include "esp_system.h"
#include "esp_log.h"
#include "nvs_flash.h"

#include "jannex/storage.h"

static const char *TAG = "initStorage";

void initStorage()
{
    // Initialize NVS
    esp_err_t ret = nvs_flash_init();
    if (ret == ESP_ERR_NVS_NO_FREE_PAGES || ret == ESP_ERR_NVS_NEW_VERSION_FOUND)
    {
        ESP_ERROR_CHECK(nvs_flash_erase());
        ret = nvs_flash_init();
    }
    ESP_ERROR_CHECK(ret);
}

void defaultValuesToStorage()
{
    char branch[32];
    // readStorage("branch", default_branch, (size_t)32, GIT_DEFAULT_BRANCH);
    esp_err_t getBranch(char *branch);
}